#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    db = QSqlDatabase::addDatabase(DATABASE_DRIVER);
    db.setDatabaseName(DATABASE_NAME);
    db.setHostName(DATABASE_HOSTNAME);
    db.setPort(DATABASE_PORT);
    db.setUserName(DATABASE_USERNAME);
    db.setPassword(DATABASE_PASSWORD);

    if (!db.open()) {
        qDebug() << QT_MESSAGELOG_LINE << "ERROR" << db.lastError().text();
    } else {
        qDebug() << "SUCCESS";
    }

    model = new QSqlTableModel(this, db);
    model->setTable(TABLE);
    model->select();

    ui->tableView->setModel(model);
}

MainWindow::~MainWindow()
{
    delete ui;
}

